#!/usr/bin/python
# -*- coding: utf-8 -*-

from Screens.Screen import Screen
from Components.Label import Label
from Components.Sources.StaticText import StaticText
from Components.Sources.List import List
from Components.ActionMap import ActionMap
from enigma import getDesktop
from Screens.MessageBox import MessageBox

reload_value = True
sz_w = getDesktop(0).size().width()


class TestPluginScreen(Screen):
	
	if sz_w == 1920:	#1920 x 1080 FHD
		skin = """
		<screen name="TestPluginScreen1" position="200,200" size="1220,680">
			<ePixmap pixmap="skin_default/buttons/red.png" position="0,0" size="300,70" scale="stretch" alphatest="on" />
			<ePixmap pixmap="skin_default/buttons/green.png" position="300,0" size="300,70" scale="stretch" alphatest="on" />
			<ePixmap pixmap="skin_default/buttons/yellow.png" position="600,0" size="300,70" scale="stretch" alphatest="on" />
			<ePixmap pixmap="skin_default/buttons/blue.png" position="900,0" size="300,70" scale="stretch" alphatest="on" />
			<widget source="key_red" render="Label" position="0,0" zPosition="1" size="300,70" font="Regular;32" halign="center" valign="center" backgroundColor="#9f1313" transparent="1" />
			<widget source="key_green" render="Label" position="300,0" zPosition="1" size="300,70" font="Regular;32" halign="center" valign="center" backgroundColor="#1f771f" transparent="1" />
			<widget source="key_yellow" render="Label" position="600,0" zPosition="1" size="300,70" font="Regular;32" halign="center" valign="center" backgroundColor="#a08500" transparent="1" />
			<widget source="key_blue" render="Label" position="900,0" zPosition="1" size="300,70" font="Regular;32" halign="center" valign="center" backgroundColor="#18188b" transparent="1" />
		</screen>"""
	else:
		# HD 1280720
		skin = """
		<screen name="TestPluginScreen" position="200,200" size="800,500">
			<ePixmap pixmap="skin_default/buttons/red.png" position="0,0" size="200,40" scale="stretch" alphatest="on" />
			<ePixmap pixmap="skin_default/buttons/green.png" position="200,0" size="200,40" scale="stretch" alphatest="on" />
			<ePixmap pixmap="skin_default/buttons/yellow.png" position="400,0" size="200,40" scale="stretch" alphatest="on" />
			<ePixmap pixmap="skin_default/buttons/blue.png" position="600,0" size="200,40" scale="stretch" alphatest="on" />
			<widget source="key_red" render="Label" position="0,0" zPosition="1" size="200,40" font="Regular;22" halign="center" valign="center" backgroundColor="#9f1313" transparent="1" />
			<widget source="key_green" render="Label" position="200,0" zPosition="1" size="200,40" font="Regular;22" halign="center" valign="center" backgroundColor="#1f771f" transparent="1" />
			<widget source="key_yellow" render="Label" position="400,0" zPosition="1" size="200,40" font="Regular;22" halign="center" valign="center" backgroundColor="#a08500" transparent="1" />
			<widget source="key_blue" render="Label" position="600,0" zPosition="1" size="200,40" font="Regular;22" halign="center" valign="center" backgroundColor="#18188b" transparent="1" />
		</screen>"""	
		
	def __init__(self, session, skinValue=0):
		Screen.__init__(self, session)
	
		# Initialize widgets
		self["key_green"] = StaticText(_("Show List"))
		self["key_red"] = StaticText(_("Cancel"))
		self["key_yellow"] = StaticText("Show MsgBox")
		self["key_blue"] = StaticText(" ")
		
		# Define Actions
		self["actions"] = ActionMap(["SetupActions", "ColorActions"],
			{
				"cancel": 	self.close,
				"green": 	self.pos1,
				"yellow": 	self.pos2,
			},-2)
		
	
	def pos1(self):
		
		try:
			self.session.open(TestPluginScreen1)
			
			
		except:
			import traceback, sys
			traceback.print_exc()
	
	
	def pos2(self):
		try:
			
			self.session.open(MessageBox, "Message", MessageBox.TYPE_YESNO)

		except:
			import traceback
			traceback.print_exc()


class TestPluginScreen1(Screen):
	
	if sz_w == 1920:	#1920 x 1080 FHD
		skin = """
		<screen name="TestPluginScreen1" position="200,200" size="1220,680">
			<ePixmap pixmap="skin_default/buttons/red.png" position="0,0" size="300,70" scale="stretch" alphatest="on" />
			<ePixmap pixmap="skin_default/buttons/green.png" position="300,0" size="300,70" scale="stretch" alphatest="on" />
			<ePixmap pixmap="skin_default/buttons/yellow.png" position="600,0" size="300,70" scale="stretch" alphatest="on" />
			<ePixmap pixmap="skin_default/buttons/blue.png" position="900,0" size="300,70" scale="stretch" alphatest="on" />
			<widget source="key_red" render="Label" position="0,0" zPosition="1" size="300,70" font="Regular;32" halign="center" valign="center" backgroundColor="#9f1313" transparent="1" />
			<widget source="key_green" render="Label" position="300,0" zPosition="1" size="300,70" font="Regular;32" halign="center" valign="center" backgroundColor="#1f771f" transparent="1" />
			<widget source="key_yellow" render="Label" position="600,0" zPosition="1" size="300,70" font="Regular;32" halign="center" valign="center" backgroundColor="#a08500" transparent="1" />
			<widget source="key_blue" render="Label" position="900,0" zPosition="1" size="300,70" font="Regular;32" halign="center" valign="center" backgroundColor="#18188b" transparent="1" />
			<widget source="menu" render="Listbox" position="10,90" size="600,350" itemHeight="80" transparent="1" enableWrapAround="1" scrollbarMode="showOnDemand">
				<convert type="StringList" />
			</widget>
		</screen>"""
	else:
		# HD 1280720
		skin = """
		<screen name="TestPluginScreen1" position="200,200" size="800,500">
			<ePixmap pixmap="skin_default/buttons/red.png" position="0,0" size="200,40" scale="stretch" alphatest="on" />
			<ePixmap pixmap="skin_default/buttons/green.png" position="200,0" size="200,40" scale="stretch" alphatest="on" />
			<ePixmap pixmap="skin_default/buttons/yellow.png" position="400,0" size="200,40" scale="stretch" alphatest="on" />
			<ePixmap pixmap="skin_default/buttons/blue.png" position="600,0" size="200,40" scale="stretch" alphatest="on" />
			<widget source="key_red" render="Label" position="0,0" zPosition="1" size="200,40" font="Regular;22" halign="center" valign="center" backgroundColor="#9f1313" transparent="1" />
			<widget source="key_green" render="Label" position="200,0" zPosition="1" size="200,40" font="Regular;22" halign="center" valign="center" backgroundColor="#1f771f" transparent="1" />
			<widget source="key_yellow" render="Label" position="400,0" zPosition="1" size="200,40" font="Regular;22" halign="center" valign="center" backgroundColor="#a08500" transparent="1" />
			<widget source="key_blue" render="Label" position="600,0" zPosition="1" size="200,40" font="Regular;22" halign="center" valign="center" backgroundColor="#18188b" transparent="1" />
			<widget source="menu" render="Listbox" position="10,60" size="600,350" itemHeight="50" transparent="1" enableWrapAround="1" scrollbarMode="showOnDemand">
				<convert type="StringList" />
			</widget>
		</screen>"""	
		
	def __init__(self, session, skinValue=0):
		Screen.__init__(self, session)
	
		# Initialize widgets
		self["key_green"] = StaticText(_(" "))
		self["key_red"] = StaticText(_("Cancel"))
		self["key_yellow"] = StaticText(" ")
		self["key_blue"] = StaticText(" ")
		
		# Define Actions
		self["actions"] = ActionMap(["SetupActions", "ColorActions"],
			{
				"cancel": 	self.close,
			},-2)

		self.list = []
		self.list.append(("text1 fddsf ffsdfsd fsdf ",1))
		self.list.append(("text2 vbcvb vcbbdg fdfggd",2))
		self["menu"] = List(self.list)
	

